<div style="margin-bottom: 15px; margin-top: 10px;">
    <h5>
       <span jhiTranslate="mpmApp.vehicleCustomerRequest.home.title">Vehicle Customer Requests</span>
    </h5>
    <p-dataTable
        [value]="vehicleCustomerRequests"
        [editable]="true"
        [rows]="itemsPerPage"
        [paginator]="true"
        [pageLinks]="5"
        [rowsPerPageOptions]="[10,15,20]"
        [totalRecords]="totalItems"
        [responsive]="true"
        [lazy]="true"
        [(first)]="first"
        row="itemsPerPage"
        totalRecords="totalItems"
        dataKey="idRequest"
        expandableRows="false"
        rowHover="true"
        (onLazyLoad)="loadDataLazy($event)"
        (onEditComplete)="updateRowData($event)">
        <p-header>
            <ul class="nav justify-content-end">
                <!-- <li class="nav-item">
                    <a class="btn" [routerLink]="['/', { outlets: { popup: ['organization-customer-new'] } }]">
                        <span><i class="fa fa-users"></i> &nbsp;{{ 'mpmApp.customerRequestItem.addGroup' | translate }}</span>
                    </a>
                </li>
                <li class="nav-item">
                    <a class="btn" [routerLink]="['/', { outlets: { popup: ['personal-customer-new'] } }]">
                        <span><i class="fa fa-user-plus"></i> &nbsp;{{ 'mpmApp.customerRequestItem.addPersonal' | translate }}</span>
                    </a>
                </li> -->
                <li class="nav-item">
                    <a class="btn" (click)="process()" href="javascript:void(0)" style="cursor: pointer;"><span><i class="fa fa-dot-circle-o"></i> &nbsp;{{ 'entity.action.process' | translate }}</span></a>
                </li>
                <li class="nav-item">
                    <a class="btn" [routerLink]="['/', { outlets: { popup: ['vehicle-customer-request-popup-new', idInternal]}}]">
                        <span><i class="fa fa-plus"></i> &nbsp;{{ 'entity.action.add' | translate }}</span>
                    </a>
                </li>
            </ul>
            <form name="searchForm" class="form-inline">
                <div class="input-group w-100 mt-3">
                    <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch"
                        name="currentSearch" placeholder="{{ 'mpmApp.vehicleCustomerRequest.home.search' | translate }}">
                    <button class="input-group-addon btn btn-info flat-style-button" (click)="search(currentSearch)" *ngIf="currentSearch">
                        <span class="fa fa-search"></span>
                    </button>
                    <button class="input-group-addon btn btn-danger flat-style-button" (click)="clear()" *ngIf="currentSearch">
                        <span class="fa fa-trash-o"></span>
                    </button>
                </div>
            </form>
        </p-header>
        <!-- <p-column expander="false" styleClass="col-icon" [style]="{'width': '35px', 'text-align': 'center'}"></p-column> -->
        <p-column header="{{'global.field.sequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
            <ng-template let-rowIndex="rowIndex" pTemplate="body">
                {{rowIndex + 1}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.vehicleCustomerRequest.requestNumber'|translate}}" [style]="{'width': '180px'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.requestNumber}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.vehicleCustomerRequest.customer'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.customerId">
                    {{rowData.customerId}} - {{rowData.customerName}}
                </div>
                <div *ngIf="rowData.salesBrokerId">
                    {{rowData.salesBrokerCode}} - {{rowData.salesBrokerName}}
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.vehicleCustomerRequest.requestType'|translate}}" [style]="{'width': '150px'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <div *ngIf="rowData.requestTypeId">
                    {{rowData.requestTypeDescription}}
                </div>
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.vehicleCustomerRequest.description'|translate}}">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.description}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.vehicleCustomerRequest.customerOrder'|translate}}" [style]="{'width': '150px'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                    {{rowData.customerOrder}}
            </ng-template>
        </p-column>
        <p-column header="{{'mpmApp.vehicleCustomerRequest.dateRequest'|translate}}" [style]="{'width': '100px'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                {{rowData.dateRequest | date:'dd-MM-yyyy'}}
            </ng-template>
        </p-column>
        <p-column header="{{'global.field.action'|translate}}" [style]="{'width': '75px', 'text-align': 'center'}">
            <ng-template let-rowData="rowData" pTemplate="body">
                <button pButton type="submit"
                        [routerLink]="['../vehicle-customer-request/0/' + page + '/' + rowData.idRequest + '/edit']"
                        icon="fa-pencil"
                        class="flat-button">
                </button>
                <button pButton type="submit"
                        (click)="delete(rowData)"
                        icon="fa-remove"
                        class="flat-button">
                </button>
            </ng-template>
        </p-column>
        <ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
        </ng-template>
    </p-dataTable>
</div>
<div style="margin-top: 10px;"></div>

<p-confirmDialog></p-confirmDialog>